select nkassierabrechnr, sum((FEINZELTARIF*nbuchungsfaktor)) as Montant, nkassierid, TO_CHAR(t.dtausgabedat, 'YYYY/MM/DD') as Madate, t.ngrundbezartnr, t.nkundenbezartnr, def.szname 
from TABKASSATRANSAKT t 
inner join TABKASSABLOCKSATZ b ON concat(t.nprojnr,concat(concat('-',t.nkassanr),concat('-',t.ntransnr)))= concat(b.nprojnr,concat(concat('-',b.nkassanr),concat('-',b.ntransnr))) 
inner join TABKASSATRANSAKTART a on b.ntransaktart = a.nkassatransaktartnr 
inner join TABKUNDENBEZAHLARTENDEF def on t.ngrundbezartnr * t.nkundenbezartnr = def.ngrundbezartnr * def.nkundenbezartnr 
where t.nkassanr = '89' and TO_CHAR(t.dtausgabedat, 'YYYY/MM/DD') > '2015/12/26' 
group by t.ngrundbezartnr, t.nkassierabrechnr,TO_CHAR(t.dtausgabedat, 'YYYY/MM/DD'),t.nkassierid, t.nkundenbezartnr,def.SZNAME 
Having sum((FEINZELTARIF*nbuchungsfaktor)) <> 0 order by t.nkassierabrechnr desc;

select count(nkassierabrechnr) as nbmdr from TABKASSATRANSAKT t 
inner join TABKASSABLOCKSATZ b ON concat(t.nprojnr,concat(concat('-',t.nkassanr),concat('-',t.ntransnr)))= concat(b.nprojnr,concat(concat('-',b.nkassanr),concat('-',b.ntransnr))) 
inner join TABKASSATRANSAKTART a on b.ntransaktart = a.nkassatransaktartnr 
inner join TABKUNDENBEZAHLARTENDEF def on t.ngrundbezartnr * t.nkundenbezartnr = def.ngrundbezartnr * def.nkundenbezartnr 
where t.nkassanr = '89' and TO_CHAR(t.dtausgabedat, 'YYYY/MM/DD') > '2015/12/26' 
group by t.nkassierabrechnr,TO_CHAR(t.dtausgabedat, 'YYYY/MM/DD'),t.nkassierid, t.nkundenbezartnr,def.SZNAME 
Having sum((FEINZELTARIF*nbuchungsfaktor)) <> 0 order by t.nkassierabrechnr desc;

select * from TABKUNDENBEZAHLARTENDEF;

select nkassierabrechnr, sum((FEINZELTARIF*nbuchungsfaktor)) as Montant, nkassierid, TO_CHAR(t.dtausgabedat, 'YYYY/MM/DD') as Madate, t.ngrundbezartnr as idta1, t.nkundenbezartnr as idta2, def.szname 
       from TABKASSATRANSAKT t 
       inner join TABKASSABLOCKSATZ b ON concat(t.nprojnr,concat(concat('-',t.nkassanr),concat('-',t.ntransnr)))= concat(b.nprojnr,concat(concat('-',b.nkassanr),concat('-',b.ntransnr))) 
       inner join TABKASSATRANSAKTART a on b.ntransaktart = a.nkassatransaktartnr 
       inner join TABKUNDENBEZAHLARTENDEF def on t.ngrundbezartnr * t.nkundenbezartnr = def.ngrundbezartnr * def.nkundenbezartnr 
       where t.nkassanr = '162' and TO_CHAR(t.dtausgabedat, 'YYYY/MM/DD') >= '2015/10/01' 
       group by t.ngrundbezartnr, t.nkassierabrechnr,TO_CHAR(t.dtausgabedat, 'YYYY/MM/DD'),t.nkassierid, t.nkundenbezartnr,def.SZNAME 
       Having sum((FEINZELTARIF*nbuchungsfaktor)) <> 0 
       order by t.nkassierabrechnr desc;
select nkassierid, TO_CHAR(dtupdate, 'YYYY/MM/DD') as datetransac, sum(fgesamtpreis) as montant, nkassierabrechnr from tabkassatransakt 
                    where nkassanr = '56' and TO_CHAR(dtupdate, 'YYYY/MM/DD') > '2015/12/26'
                    group by TO_CHAR(dtupdate, 'YYYY/MM/DD'), nkassierabrechnr, nkassierid;
                    
select * from TABKASSATRANSAKT t
       where t.nkassanr = '56';
       
select * from TABKUNDENBEZAHLARTENDEF;

SELECT Akt.NKASSANR, Akt.NTRANSNR as transaction, Akt.NKASSIERABRECHNR, Akt.NKASSIERID, Akt.FGESAMTPREIS as montant, Akt.NGRUNDBEZARTNR as typePaiement, Akt.NKUNDENBEZARTNR as typePaiementD, 
Art.NBUCHUNGSFAKTOR as typeOperation, gru.SZNAME as modeReg 
FROM (TABKassaTransAkt Akt LEFT JOIN TABGrundBezahlArtenDef gru ON Akt.NGRUNDBEZARTNR = gru.NGRUNDBEZARTNR) INNER JOIN (TABKassaBlockSatz Atz INNER JOIN TABKassaTransAktArt Art 
ON Atz.NTRANSAKTART = Art.NKASSATRANSAKTARTNR) ON (Akt.NTRANSNR = Atz.NTRANSNR) AND (Akt.NKASSANR = Atz.NKASSANR) AND (Akt.NPROJNR = Atz.NPROJNR) 
WHERE (((Akt.NKASSANR)=50)) 
GROUP BY Akt.NKASSANR, Akt.NTRANSNR, Akt.NKASSIERABRECHNR, Akt.NKASSIERID, Akt.FGESAMTPREIS, Akt.NGRUNDBEZARTNR, Akt.NKUNDENBEZARTNR, Art.NBUCHUNGSFAKTOR, gru.SZNAME;

select nkassierabrechnr, sum((FEINZELTARIF*nbuchungsfaktor)) as Montant, nkassierid, TO_CHAR(t.dtausgabedat, 'YYYY/MM/DD') as Madate, t.ngrundbezartnr as idta1, t.nkundenbezartnr as idta2, def.szname
                    from 
                    TABKASSATRANSAKT t
                    inner join
                    TABKASSABLOCKSATZ b
                    ON concat(t.nprojnr,concat(concat('-',t.nkassanr),concat('-',t.ntransnr)))= concat(b.nprojnr,concat(concat('-',b.nkassanr),concat('-',b.ntransnr)))
                    inner join
                    TABKASSATRANSAKTART a
                    on b.ntransaktart = a.nkassatransaktartnr
                    inner join TABKUNDENBEZAHLARTENDEF def
                    on t.ngrundbezartnr * t.nkundenbezartnr = def.ngrundbezartnr * def.nkundenbezartnr
                    where t.nkassanr = '40' and TO_CHAR(t.dtausgabedat, 'YYYY/MM/DD') = '2016/02/29' 
                    group by t.ngrundbezartnr, t.nkassierabrechnr,TO_CHAR(t.dtausgabedat, 'YYYY/MM/DD'),t.nkassierid, t.nkundenbezartnr,def.SZNAME
                    Having sum((FEINZELTARIF*nbuchungsfaktor)) <> 0
                    order by t.nkassierabrechnr desc;